Running Rails 6 on Ubuntu - Cannot create a new Rails App

I am trying to create a new rails app through rails new and I am getting the following error:

Traceback (most recent call last):
12: from /home/patrick/.rvm/gems/ruby-2.7.0/bin/ruby_executable_hooks:24:in \<main\>' 11: from /home/patrick/.rvm/gems/ruby-2.7.0/bin/ruby\_executable\_hooks:24:in eval’
10: from /home/patrick/.rvm/gems/ruby-2.7.0/bin/rails:23:in \<main\>' 9: from /home/patrick/.rvm/gems/ruby-2.7.0/bin/rails:23:in load’
8: from /home/patrick/.rvm/gems/ruby-2.7.0/gems/airck-0.6.1/bin/rails:7:in \<top (required)\>' 7: from /home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core\_ext/kernel\_require.rb:92:in require’
6: from /home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in require' 5: from /home/patrick/.rvm/gems/ruby-2.7.0/gems/airck-0.6.1/lib/rails/cli.rb:2:in <top (required)>’
4: from /home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in require' 3: from /home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core\_ext/kernel\_require.rb:92:in require’
2: from /home/patrick/.rvm/gems/ruby-2.7.0/gems/airck-0.6.1/lib/rails/script_rails_loader.rb:1:in \<top (required)\>' 1: from /home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core\_ext/kernel\_require.rb:92:in require’
/home/patrick/.rvm/rubies/ruby-2.7.0/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require’: cannot load such file – riana (LoadError)

Not sure what is the issue. I appreciate your help.

SOLVED :

  • Uninstalled airck-0.6.1 with gem uninstall airck. 

-  Installed ruby-railties : sudo apt install ruby-railties and it worked.